## WebKitDOMHTMLBodyElement WebKitDOMHTMLBodyElement |

## Functions

gchar * | webkit_dom_html_body_element_get_a_link ()
void | webkit_dom_html_body_element_set_a_link ()
gchar * | webkit_dom_html_body_element_get_background ()
void | webkit_dom_html_body_element_set_background ()
gchar * | webkit_dom_html_body_element_get_bg_color ()
void | webkit_dom_html_body_element_set_bg_color ()
gchar * | webkit_dom_html_body_element_get_link ()
void | webkit_dom_html_body_element_set_link ()
gchar * | webkit_dom_html_body_element_get_text ()
void | webkit_dom_html_body_element_set_text ()
gchar * | webkit_dom_html_body_element_get_v_link ()
void | webkit_dom_html_body_element_set_v_link ()

## Properties

char * | a-link | Read / Write
char * | background | Read / Write
char * | bg-color | Read / Write
char * | link | Read / Write
char * | text | Read / Write
char * | v-link | Read / Write

## Types and Values

struct | WebKitDOMHTMLBodyElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLBodyElement

## Implemented Interfaces

WebKitDOMHTMLBodyElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_body_element_get_a_link ()

    gchar *
    webkit_dom_html_body_element_get_a_link
                                   (WebKitDOMHTMLBodyElement *self);

`webkit_dom_html_body_element_get_a_link` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBodyElement |

#### Returns

A gchar

### webkit_dom_html_body_element_set_a_link ()

    void
    webkit_dom_html_body_element_set_a_link
                                   (WebKitDOMHTMLBodyElement *self,
                                    const gchar *value);

`webkit_dom_html_body_element_set_a_link` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBodyElement |
value | A gchar |

### webkit_dom_html_body_element_get_background ()

    gchar *
    webkit_dom_html_body_element_get_background
                                   (WebKitDOMHTMLBodyElement *self);

`webkit_dom_html_body_element_get_background` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBodyElement |

#### Returns

A gchar

### webkit_dom_html_body_element_set_background ()

    void
    webkit_dom_html_body_element_set_background
                                   (WebKitDOMHTMLBodyElement *self,
                                    const gchar *value);

`webkit_dom_html_body_element_set_background` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBodyElement |
value | A gchar |

### webkit_dom_html_body_element_get_bg_color ()

    gchar *
    webkit_dom_html_body_element_get_bg_color
                                   (WebKitDOMHTMLBodyElement *self);

`webkit_dom_html_body_element_get_bg_color` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBodyElement |

#### Returns

A gchar

### webkit_dom_html_body_element_set_bg_color ()

    void
    webkit_dom_html_body_element_set_bg_color
                                   (WebKitDOMHTMLBodyElement *self,
                                    const gchar *value);

`webkit_dom_html_body_element_set_bg_color` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBodyElement |
value | A gchar |

### webkit_dom_html_body_element_get_link ()

    gchar *
    webkit_dom_html_body_element_get_link (WebKitDOMHTMLBodyElement *self);

`webkit_dom_html_body_element_get_link` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBodyElement |

#### Returns

A gchar

### webkit_dom_html_body_element_set_link ()

    void
    webkit_dom_html_body_element_set_link (WebKitDOMHTMLBodyElement *self,
                                           const gchar *value);

`webkit_dom_html_body_element_set_link` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBodyElement |
value | A gchar |

### webkit_dom_html_body_element_get_text ()

    gchar *
    webkit_dom_html_body_element_get_text (WebKitDOMHTMLBodyElement *self);

`webkit_dom_html_body_element_get_text` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBodyElement |

#### Returns

A gchar

### webkit_dom_html_body_element_set_text ()

    void
    webkit_dom_html_body_element_set_text (WebKitDOMHTMLBodyElement *self,
                                           const gchar *value);

`webkit_dom_html_body_element_set_text` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBodyElement |
value | A gchar |

### webkit_dom_html_body_element_get_v_link ()

    gchar *
    webkit_dom_html_body_element_get_v_link
                                   (WebKitDOMHTMLBodyElement *self);

`webkit_dom_html_body_element_get_v_link` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBodyElement |

#### Returns

A gchar

### webkit_dom_html_body_element_set_v_link ()

    void
    webkit_dom_html_body_element_set_v_link
                                   (WebKitDOMHTMLBodyElement *self,
                                    const gchar *value);

`webkit_dom_html_body_element_set_v_link` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLBodyElement |
value | A gchar |

## Types and Values

### struct WebKitDOMHTMLBodyElement

    struct WebKitDOMHTMLBodyElement;

## Property Details

### The `“a-link”` property

      “a-link”                   char *

read-write gchar* HTMLBodyElement:a-link.

Owner: WebKitDOMHTMLBodyElement

Flags: Read / Write

Default value: ""

### The `“background”` property

      “background”               char *

read-write gchar* HTMLBodyElement:background.

Owner: WebKitDOMHTMLBodyElement

Flags: Read / Write

Default value: ""

### The `“bg-color”` property

      “bg-color”                 char *

read-write gchar* HTMLBodyElement:bg-color.

Owner: WebKitDOMHTMLBodyElement

Flags: Read / Write

Default value: ""

### The `“link”` property

      “link”                     char *

read-write gchar* HTMLBodyElement:link.

Owner: WebKitDOMHTMLBodyElement

Flags: Read / Write

Default value: ""

### The `“text”` property

      “text”                     char *

read-write gchar* HTMLBodyElement:text.

Owner: WebKitDOMHTMLBodyElement

Flags: Read / Write

Default value: ""

### The `“v-link”` property

      “v-link”                   char *

read-write gchar* HTMLBodyElement:v-link.

Owner: WebKitDOMHTMLBodyElement

Flags: Read / Write

Default value: ""